SCADA Vulnerabilities & Exposures (SVE)

CRITIFENCE® SCADA Vulnerabilities and Exposures Database (SVE)

[SVE-946282752] WECON Technology Co., Ltd. LeviStudio HMI Editor

Date Type Platform Author EDB-ID CVE-ID OSVDB-ID Download App SIS Signature
2017-10-12OtherWECON Technology Co., Ltd. (WECON)Andrea “rgod” Micalizzi, working with iDefense Labs, reported these vulnerabilities to ICS-CERT. N/ACVE-2017-1399 N/AN/AN/A

Source

						
							
								
#
# WECON Technology Co., Ltd. LeviStudio HMI Editor
#


### VULNERABLE VENDOR
WECON Technology Co., Ltd. (WECON)


### VULNERABLE PRODUCT
LeviStudio HMI Editor



### RESEARCHER
Andrea "rgod" Micalizzi, working with iDefense Labs, reported these vulnerabilities to ICS-CERT.



### AFFECTED PRODUCTS

The following versions of LEVI Studio HMI Editor, an HMI programming software product, are affected:

LEVI Studio HMI Editor v1.8.1 and prior.



### IMPACT

Successful exploitation of these vulnerabilities may result in denial of service and arbitrary code execution.



### VULNERABILITY OVERVIEW

STACK-BASED BUFFER OVERFLOW CWE-121
Multiple stack-based buffer overflow vulnerabilities have been identified in which the application does not verify string size before copying to memory, the attacker may then be able to crash the application or run arbitrary code.
CVE-2017-13999 has been assigned to these vulnerabilities.
A CVSS v3 base score of 7.5 has been assigned; the CVSS vector string is (AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)





### BACKGROUND

Critical Infrastructure Sectors: Critical Manufacturing, Energy, Water and Wastewater Systems.
Countries/Areas Deployed: Worldwide
Company Headquarters Location: Fuzhou, Fujian, P.R.China




### MITIGATION

WECON recommends that users update to v1.8.2 which can be found at the following location:

http://www.we-con.com.cn/en/download/softwares/levi-series-hmi/